export const useHadithaStore = defineStore("hadithaStore", {
  persist: {
    storage: piniaPluginPersistedstate.localStorage(),
  },
  state: () => ({
    searchPhrase: "" as string,
  }),
  getters: {
    searchPhraseGetter(state) {
      return state.searchPhrase;
    },
  },
  actions: {
    searchPhraseSetter(newVal = "") {
      this.searchPhrase = newVal;
    },
  },
});
